Skip to main content
GET
https://checkout.dintero.com/v1
/
view
/
{session_id}
/
payex
/
{payment_id}
/
status
checkout_sid_payex_payment_get
curl --request GET \
  --url https://checkout.dintero.com/v1/view/{session_id}/payex/{payment_id}/status
import requests

url = "https://checkout.dintero.com/v1/view/{session_id}/payex/{payment_id}/status"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://checkout.dintero.com/v1/view/{session_id}/payex/{payment_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://checkout.dintero.com/v1/view/{session_id}/payex/{payment_id}/status"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://checkout.dintero.com/v1/view/{session_id}/payex/{payment_id}/status")
.asString();
{
  "keep_polling": true,
  "redirect_url": "<string>",
  "poll_url": "<string>"
}
{
"keep_polling": true,
"redirect_url": "<string>",
"poll_url": "<string>"
}

Path Parameters

session_id
string<checkout-id>
required

The session ID

payment_id
string
required

Query Parameters

query_gateway
boolean
default:false

Resolve payment status from PayEx

Response

PayEx payment completed, go to next step.

keep_polling
boolean
redirect_url
string

redirect url to complete payment, will not be included if the payment failed with Rejected error as payment can be completed by choosing alternative payment option.

poll_url
string

poll_url to check the status of the payment. Will be included if the payment is dependent on 3rd party apps, such as Swish.

Last modified on July 10, 2026